Bug 77444

Summary: Web Inspector: CodeGeneratorInspector.py: switch domain agents to formal interfaces in BackendDispatcher
Product: WebKit Reporter: Peter Rybin <prybin>
Component: Web Inspector (Deprecated)Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: apavlov, bweinstein, dglazkov, gns, gustavo.noronha, joepeck, keishi, loislo, pfeldman, pmuellr, pnormand, prybin, rik, webkit.review.bot, xan.lopez, yurys
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 72861    
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch none

Description Peter Rybin 2012-01-31 09:05:23 PST
Formal interfaces for domain agents are already prepared in BackendDispatcher.
It's time agents actually implemented them.
Comment 1 Peter Rybin 2012-01-31 09:17:07 PST
Created attachment 124758 [details]
Patch
Comment 2 WebKit Review Bot 2012-01-31 09:20:12 PST
Attachment 124758 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/update-webkit']" exit_code: 9

Updating OpenSource
First, rewinding head to replay your work on top of it...
Applying: Fix compilation errors on build-webkit --debug --no-workers on mac.
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging LayoutTests/ChangeLog
CONFLICT (content): Merge conflict in LayoutTests/ChangeLog
Auto-merging LayoutTests/platform/qt/Skipped
CONFLICT (content): Merge conflict in LayoutTests/platform/qt/Skipped
Auto-merging Source/WebCore/ChangeLog
CONFLICT (content): Merge conflict in Source/WebCore/ChangeLog
Failed to merge in the changes.
Patch failed at 0001 Fix compilation errors on build-webkit --debug --no-workers on mac.

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 164.


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Peter Rybin 2012-01-31 09:41:16 PST
Created attachment 124761 [details]
Patch
Comment 4 WebKit Review Bot 2012-01-31 09:46:03 PST
Attachment 124761 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/update-webkit']" exit_code: 9

Updating OpenSource
First, rewinding head to replay your work on top of it...
Applying: Fix compilation errors on build-webkit --debug --no-workers on mac.
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging LayoutTests/ChangeLog
CONFLICT (content): Merge conflict in LayoutTests/ChangeLog
Auto-merging LayoutTests/platform/qt/Skipped
CONFLICT (content): Merge conflict in LayoutTests/platform/qt/Skipped
Auto-merging Source/WebCore/ChangeLog
CONFLICT (content): Merge conflict in Source/WebCore/ChangeLog
Failed to merge in the changes.
Patch failed at 0001 Fix compilation errors on build-webkit --debug --no-workers on mac.

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 164.


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Peter Rybin 2012-01-31 09:48:32 PST
Created attachment 124762 [details]
Patch
Comment 6 WebKit Review Bot 2012-01-31 09:53:22 PST
Attachment 124762 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/update-webkit']" exit_code: 9

Updating OpenSource
First, rewinding head to replay your work on top of it...
Applying: Fix compilation errors on build-webkit --debug --no-workers on mac.
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging LayoutTests/ChangeLog
CONFLICT (content): Merge conflict in LayoutTests/ChangeLog
Auto-merging LayoutTests/platform/qt/Skipped
CONFLICT (content): Merge conflict in LayoutTests/platform/qt/Skipped
Auto-merging Source/WebCore/ChangeLog
CONFLICT (content): Merge conflict in Source/WebCore/ChangeLog
Failed to merge in the changes.
Patch failed at 0001 Fix compilation errors on build-webkit --debug --no-workers on mac.

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 164.


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Collabora GTK+ EWS bot 2012-01-31 10:20:32 PST
Comment on attachment 124762 [details]
Patch

Attachment 124762 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/11386020
Comment 8 WebKit Review Bot 2012-01-31 10:36:42 PST
Comment on attachment 124762 [details]
Patch

Attachment 124762 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/11394010
Comment 9 Gyuyoung Kim 2012-01-31 11:13:48 PST
Comment on attachment 124762 [details]
Patch

Attachment 124762 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/11388040
Comment 10 Early Warning System Bot 2012-01-31 12:45:37 PST
Comment on attachment 124762 [details]
Patch

Attachment 124762 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/11394067
Comment 11 Peter Rybin 2012-01-31 13:52:24 PST
Created attachment 124815 [details]
Patch
Comment 12 Philippe Normand 2012-01-31 14:01:22 PST
Comment on attachment 124815 [details]
Patch

Attachment 124815 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/11388128
Comment 13 Early Warning System Bot 2012-01-31 14:27:23 PST
Comment on attachment 124815 [details]
Patch

Attachment 124815 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/11387144
Comment 14 WebKit Review Bot 2012-01-31 14:29:22 PST
Comment on attachment 124815 [details]
Patch

Attachment 124815 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/11394117
Comment 15 Peter Rybin 2012-01-31 14:53:27 PST
Created attachment 124828 [details]
Patch
Comment 16 Peter Rybin 2012-02-01 10:20:06 PST
Created attachment 124964 [details]
Patch
Comment 17 Peter Rybin 2012-02-01 12:09:33 PST
Created attachment 124984 [details]
Patch
Comment 18 Yury Semikhatsky 2012-02-03 07:34:12 PST
Comment on attachment 124984 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=124984&action=review

Looks good, but please add virtual to the methods that became virtual.

> Source/WebCore/inspector/InspectorCSSAgent.h:80
> +    void getMatchedStylesForNode(ErrorString*, int nodeId, const RefPtr<InspectorArray>* forcedPseudoClasses, const bool* includePseudo, const bool* includeInherited, RefPtr<InspectorArray>& matchedCSSRules, RefPtr<InspectorArray>& pseudoIdRules, RefPtr<InspectorArray>& inheritedEntries);

We usually keep virtual keywords for overridden virtual methods even though C++ doesn't require this.
Comment 19 Peter Rybin 2012-02-05 14:09:11 PST
Created attachment 125535 [details]
Patch
Comment 20 Peter Rybin 2012-02-05 14:13:22 PST
> We usually keep virtual keywords for overridden virtual methods even though C++ doesn't require this.

Done.
Comment 21 Yury Semikhatsky 2012-02-05 23:39:56 PST
Comment on attachment 125535 [details]
Patch

Clearing flags on attachment: 125535

Committed r106777: <http://trac.webkit.org/changeset/106777>
Comment 22 Yury Semikhatsky 2012-02-05 23:40:11 PST
All reviewed patches have been landed.  Closing bug.
Comment 23 Yury Semikhatsky 2012-02-06 00:01:38 PST
Qt minimal build failed: http://build.webkit.org/builders/Qt%20Linux%20Release%20minimal/builds/41992/steps/compile-webkit/logs/stdio

I'll land a fix shortly.
Comment 24 Yury Semikhatsky 2012-02-06 00:05:21 PST
(In reply to comment #23)
> Qt minimal build failed: http://build.webkit.org/builders/Qt%20Linux%20Release%20minimal/builds/41992/steps/compile-webkit/logs/stdio
> 
> I'll land a fix shortly.
Fixed: http://trac.webkit.org/changeset/106780